<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: submissions_panel.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
(defined('IN_FUSION') || exit);

if (file_exists(INFUSIONS.'submissions_panel/locale/'.LANGUAGE.'.php')) {
    $locale = fusion_get_locale('', INFUSIONS.'submissions_panel/locale/'.LANGUAGE.'.php');
} else {
    $locale = fusion_get_locale('', INFUSIONS.'submissions_panel/locale/English.php');
}

if (iADMIN) {
    $submit_modules = \PHPFusion\Admins::getInstance()->getSubmitData();
    $submit_links = [];
    if (!empty($submit_modules)) {
        foreach ($submit_modules as $stype => $title) {
            $submit_links[$stype] = [
                'link'  => BASEDIR.$title['admin_link'],
                'title' => $title['submit_locale'],
                'snum'  => dbcount("(submit_id)", DB_SUBMISSIONS, "submit_type = '".$stype."'")
            ];
        }
    }

    if (!empty($submit_links)) {
        openside($locale['SUBM_00']);
        echo "<div id='navigation-user'>";
            echo "<ul class='block'>";
                foreach ($submit_links as $stype => $title) {
                    if (checkrights(strtoupper($stype))) {
                       echo "<li><a class='side p-l-15' href='".$title['link']."'>".$title['title']."</a> <font color='red'>".$title['snum']."</font></li>";
                    }
                }
            echo "</ul>";
        echo "</div>";
        closeside();
    }
}
